*** wildfly/bin/standalone.conf	1969-12-21 17:00:00.000000000 -0700
--- wildfly/bin/standalone.conf	1969-12-21 17:00:00.000000000 -0700
***************
*** 50,57 ****
  # Specify options to pass to the Java VM.
  #
  if [ "x$JAVA_OPTS" = "x" ]; then
!    JAVA_OPTS="-Xms64m -Xmx512m -XX:MetaspaceSize=96M -XX:MaxMetaspaceSize=256m -Djava.net.preferIPv4Stack=true"
!    JAVA_OPTS="$JAVA_OPTS -Djboss.modules.system.pkgs=$JBOSS_MODULES_SYSTEM_PKGS -Djava.awt.headless=true"
  else
     echo "JAVA_OPTS already set in environment; overriding default settings with values: $JAVA_OPTS"
  fi
--- 50,61 ----
  # Specify options to pass to the Java VM.
  #
  if [ "x$JAVA_OPTS" = "x" ]; then
!    if [ "x$JAVA_MEMORY_OPTS" = "x" ]; then
!       JAVA_OPTS="-Xms64m -Xmx512m -XX:MetaspaceSize=96M -XX:MaxMetaspaceSize=256m"
!    else
!       JAVA_OPTS="$JAVA_MEMORY_OPTS"
!    fi
!    JAVA_OPTS="$JAVA_OPTS -Djava.net.preferIPv4Stack=true -Djboss.modules.system.pkgs=$JBOSS_MODULES_SYSTEM_PKGS -Djava.awt.headless=true"
  else
     echo "JAVA_OPTS already set in environment; overriding default settings with values: $JAVA_OPTS"
  fi
